//
//  FlipsideViewController.h
//  Taschenlampe
//
//  Created by Chad Armstrong on 3/30/09.
//  Copyright Edenwaith 2009. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface FlipsideViewController : UIViewController 
{
	IBOutlet UILabel	*redValue;
	IBOutlet UILabel	*greenValue;
	IBOutlet UILabel	*blueValue;
	IBOutlet UISlider	*redSlider;
	IBOutlet UISlider	*greenSlider;
	IBOutlet UISlider	*blueSlider;
	IBOutlet UIView		*colorView;
	
	float red;
	float green;
	float blue;
}

@property (nonatomic, retain) UILabel *redValue;
@property (nonatomic, retain) UILabel *greenValue;
@property (nonatomic, retain) UILabel *blueValue;
@property (nonatomic, retain) UISlider *redSlider;
@property (nonatomic, retain) UISlider *greenSlider;
@property (nonatomic, retain) UISlider *blueSlider;
@property (nonatomic, retain) UIView *colorView;

- (IBAction) changeColor: (id) sender;

@end
